varying vec4 sCoord;
varying vec4 tCoord;
void main()
{
gl_FrontColor=gl_Color;
gl_Position = ftransform();


vec4 texCoord = gl_TextureMatrix[1] * gl_ModelViewMatrix * gl_Vertex ;
sCoord=texCoord;
gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
}
